Bug 1254047 - the play command does not support the opus file format.
the play command does not support the opus file format.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sox (Show other bugs)
22
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Frantisek Kluknavsky
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-16 22:31 EDT by Alonzo cuellar
Modified: 2015-09-25 03:59 EDT (History)
3 users (show)

See Also:
Fixed In Version: sox-14.4.2-3.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-25 03:59:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alonzo cuellar 2015-08-16 22:31:06 EDT
When installing sox in Fedora22 (sox 14.4.2rc2 the play command does not play the opus file format. The play command reports the following when trying to play an opusfile.
fail formats no handler for file type opus.
Please patch the version of sox in Fedora to include opus natively.
Version-Release num


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Frantisek Kluknavsky 2015-08-19 10:15:53 EDT
In rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=10754276

This changes binary dependencies, I would rather not push it into released Fedora 22.

Thank you for your report. Enjoy opus. (Tested on http://people.xiph.org/~giles/2012/opus/ehren-paper_lights-96.opus)
Comment 2 Fedora Update System 2015-08-19 10:17:02 EDT
sox-14.4.2-3.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/sox-14.4.2-3.fc23
Comment 3 Fedora Update System 2015-08-22 12:26:04 EDT
sox-14.4.2-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update sox'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/sox-14.4.2-3.fc23
Comment 4 Fedora Update System 2015-09-25 03:59:00 EDT
sox-14.4.2-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.